SETBUF(3P)

PROLOG
This manual page is part of the POSIX Programmer's Manual. The Linux implementation of this interface may differ (consult the corresponding Linux manual page for details of Linux behavior), or the interface may not be implemented on Linux.

NAME
setbuf - assign buffering to a stream

SYNOPSIS

#include <stdio.h>

void setbuf(FILE *restrict stream, char *restrict buf);

DESCRIPTION

Except that it returns no value, the function call:

    setbuf(stream, buf)

shall be equivalent to:

    setvbuf(stream, buf, _IOFBF, BUFSIZ)

if buf is not a null pointer, or to:

    setvbuf(stream, buf, _IONBF, BUFSIZ)

if buf is a null pointer.

RETURN VALUE

The setbuf() function shall not return a value.

ERRORS

No errors are defined.

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

A common source of error is allocating buffer space as an "automatic" variable in a code block, and then failing to close the stream in the same block.

With setbuf(), allocating a buffer of BUFSIZ bytes does not necessarily imply that all of BUFSIZ bytes are used for the buffer area.

RATIONALE

None.

FUTURE DIRECTIONS

None.

SEE ALSO

fopen(), setvbuf(), the Base Definitions volume of IEEE Std 1003.1-2001, <stdio.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .